AlreadyBoundHolder (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class AlreadyBoundHolder

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextPackage.AlreadyBoundHolder

All Implemented Interfaces:
  Streamable

public final class AlreadyBoundHolder
extends Object
implements Streamable

org/omg/CosNaming/NamingContextPackage/AlreadyBoundHolder.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Friday, June 25, 2004 4:28:14 AM GMT

Field Summary
`AlreadyBound` | `value`

Constructor Summary
`AlreadyBoundHolder()`
`AlreadyBoundHolder(AlreadyBound initialValue)`

Method Summary
`void` | `_read(InputStream i)` Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
`TypeCode` | `_type()` Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
`void` | `_write(OutputStream o)` Marshals to `ostream` the value in the `value` field of the Holder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public AlreadyBound value

Constructor Detail

### AlreadyBoundHolder

    public AlreadyBoundHolder()

### AlreadyBoundHolder

    public AlreadyBoundHolder(AlreadyBound initialValue)

Method Detail

### _read

    public void _read(InputStream i)

  Description copied from interface: `Streamable`
  Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.

  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `i` - the InputStream that represents the CDR data from the wire.

### _write

    public void _write(OutputStream o)

  Description copied from interface: `Streamable`
  Marshals to `ostream` the value in the `value` field of the Holder.

  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `o` - the CDR OutputStream

### _type

    public TypeCode _type()

  Description copied from interface: `Streamable`
  Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.

  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the `TypeCode` object for the value held in the holder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.